CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SavedSearchFactory Class Reference

Factory for manipulating SavedSearch objects. More...

Inheritance diagram for SavedSearchFactory:
[legend]
Collaboration diagram for SavedSearchFactory:
[legend]

## Public Member Functions
| __construct ()
| Object constructor. More...
| GetSearchesForUser ($UserId)
| Get all saved searches for a specified user. More...
| GetSearchesDueToRun ()
| Get all searches that should be run according to frequency and last run time. More...
| GetSearchUserCount ()
| Get number of users with saved searches. More...
Public Member Functions inherited from ItemFactory
| __construct ($ItemClassName, $ItemTableName, $ItemIdColumnName, $ItemNameColumnName=NULL, $OrderOpsAllowed=FALSE, $SqlCondition=NULL)
| Class constructor. More...
| GetItemClassName ()
| Get class name of items manipulated by factory. More...
| CleanOutStaleTempItems ($MinutesUntilStale=10080)
| Clear out (call the Delete() method) for any temp items more than specified number of minutes old. More...
| GetNextItemId ()
| Retrieve next available (non-temp) item ID. More...
| GetHighestItemId ($IgnoreSqlCondition=FALSE)
| Retrieve highest item ID in use. More...
| GetNextTempItemId ()
| Return next available temporary item ID. More...
| GetItemCount ($Condition=NULL, $IncludeTempItems=FALSE)
| Get count of items. More...
| GetItemIds ($Condition=NULL, $IncludeTempItems=FALSE, $SortField=NULL, $SortAscending=TRUE)
| Return array of item IDs. More...
| GetLatestModificationDate ($Condition=NULL)
| Get newest modification date (based on values in "DateLastModified" column in database table). More...
| GetItem ($ItemId)
| Retrieve item by item ID. More...
| ItemExists ($ItemId, $IgnoreSqlCondition=FALSE)
| Check that item exists with specified ID. More...
| GetItemByName ($Name, $IgnoreCase=FALSE)
| Retrieve item by name. More...
| GetItemIdByName ($Name, $IgnoreCase=FALSE)
| Retrieve item ID by name. More...
| GetItemIdsByNames ($Names)
| Look up IDs for specified names. More...
| GetItemNames ($SqlCondition=NULL)
| Retrieve item names. More...
| GetItems ($SqlCondition=NULL)
| Retrieve items. More...
| GetItemsAsOptionList ($OptionListName, $SelectedItemId=NULL, $SqlCondition=NULL, $DisplaySize=1, $SubmitOnChange=FALSE, $Disabled=FALSE)
| Retrieve items of specified type as HTML option list with item names as labels and item IDs as value attributes. More...
| NameIsInUse ($Name, $IgnoreCase=FALSE)
| Check whether item name is currently in use. More...
| SearchForItemNames ($SearchString, $NumberOfResults=100, $IncludeVariants=FALSE, $UseBooleanMode=TRUE, $Offset=0, $IdExclusions=array(), $NameExclusions=array())
| Retrieve items with names matching search string. More...
| GetCountForItemNames ($SearchString, $IncludeVariants=FALSE, $UseBooleanMode=TRUE, $IdExclusions=array(), $NameExclusions=array())
| Retrieve count of items with names matching search string. More...
| ReindexByItemIds ($Array)
| Reindex supplied associative array, by replacing item names with item IDs. More...
| CachingEnabled ($NewValue=NULL)
| Enable/disable caching of item information. More...
| ClearCaches ()
| Clear item information caches. More...
| SetOrderOpsCondition ($Condition)
| Set SQL condition (added to WHERE clause) used to select items for ordering operations. More...
| InsertBefore ($TargetItem, $NewItem)
| Insert item into order before specified item. More...
| InsertAfter ($TargetItem, $NewItem)
| Insert item into order after specified item. More...
| Prepend ($Item)
| Add item to beginning of order. More...
| Append ($Item)
| Add item to end of order. More...
| GetItemIdsInOrder ()
| Retrieve list of item IDs in order. More...
| RemoveItemFromOrder ($ItemId)
| Remove item from existing order. More...

## Additional Inherited Members
Protected Attributes inherited from ItemFactory
| $DB

## Detailed Description

Factory for manipulating SavedSearch objects.

Definition at line 13 of file SavedSearchFactory.php.

## Constructor & Destructor Documentation

SavedSearchFactory::__construct | ( |  | ) |

Object constructor.

Definition at line 21 of file SavedSearchFactory.php.

## Member Function Documentation

SavedSearchFactory::GetSearchesDueToRun | ( |  | ) |

Get all searches that should be run according to frequency and last run time.

Returns
  array Array of SavedSearch objects, with saved search IDs for index.

Definition at line 44 of file SavedSearchFactory.php.

References ItemFactory\GetItems(), SavedSearch\SEARCHFREQ_BIWEEKLY, SavedSearch\SEARCHFREQ_DAILY, SavedSearch\SEARCHFREQ_HOURLY, SavedSearch\SEARCHFREQ_MONTHLY, SavedSearch\SEARCHFREQ_QUARTERLY, SavedSearch\SEARCHFREQ_WEEKLY, and SavedSearch\SEARCHFREQ_YEARLY.

SavedSearchFactory::GetSearchesForUser | ( |  | $UserId | ) |

Get all saved searches for a specified user.

Parameters

  int | $UserId | ID of user.

Returns
  array Array of SavedSearch objects, with saved search IDs for index.

Definition at line 33 of file SavedSearchFactory.php.

References ItemFactory\GetItems().

SavedSearchFactory::GetSearchUserCount | ( |  | ) |

Get number of users with saved searches.

Returns
  int User count.

Definition at line 75 of file SavedSearchFactory.php.

The documentation for this class was generated from the following file:

- objects/SavedSearchFactory.php